clang 8.0.0

Macros | Functions
tbmintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("tbm")))
#define | __bextri_u32(a, b)

## Functions
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __blcfill_u32 (unsigned int __a)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __blci_u32 (unsigned int __a)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __blcic_u32 (unsigned int __a)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __blcmsk_u32 (unsigned int __a)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __blcs_u32 (unsigned int __a)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __blsfill_u32 (unsigned int __a)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __blsic_u32 (unsigned int __a)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __t1mskc_u32 (unsigned int __a)
static __inline__ unsigned int __DEFAULT_FN_ATTRS | __tzmsk_u32 (unsigned int __a)

## Macro Definition Documentation

## ◆ __bextri_u32

#define __bextri_u32 | ( |  | a,
|  |  | b
| ) |  |

Value:
((unsigned int)__builtin_ia32_bextri_u32((unsigned int)(a), \
(unsigned int)(b)))

Definition at line 34 of file tbmintrin.h.

## ◆ __DEFAULT_FN_ATTRS

#define __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("tbm")))

Definition at line 32 of file tbmintrin.h.

Referenced by __blcfill_u32(), __blci_u32(), __blcic_u32(), __blcmsk_u32(), __blcs_u32(), __blsfill_u32(), __blsic_u32(), __t1mskc_u32(), and __tzmsk_u32().

## Function Documentation

## ◆ __blcfill_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __blcfill_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 39 of file tbmintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ __blci_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __blci_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 45 of file tbmintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ __blcic_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __blcic_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 51 of file tbmintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ __blcmsk_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __blcmsk_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 57 of file tbmintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ __blcs_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __blcs_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 63 of file tbmintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ __blsfill_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __blsfill_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 69 of file tbmintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ __blsic_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __blsic_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 75 of file tbmintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ __t1mskc_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __t1mskc_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 81 of file tbmintrin.h.

References __DEFAULT_FN_ATTRS.

## ◆ __tzmsk_u32()

static __inline__ unsigned int __DEFAULT_FN_ATTRS __tzmsk_u32 | ( | unsigned int | __a | ) |
| static

Definition at line 87 of file tbmintrin.h.

References __a, and __DEFAULT_FN_ATTRS.